Bug 964124 - SELinux is preventing /usr/bin/boinc_client from getattr access on the chr_file /dev/input/mice.
SELinux is preventing /usr/bin/boinc_client from getattr access on the chr_fi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 06:07 EDT by Germano Massullo
Modified: 2013-10-25 09:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:09:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2013-05-17 06:07:59 EDT
Description of problem:
Since weeks ago, I am having this trouble  


SELinux is preventing /usr/bin/boinc_client from getattr access on the chr_file /dev/input/mice.


Additional Information:
Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:mouse_device_t:s0
Target Objects                /dev/input/mice [ chr_file ]
Source                        boinc_client
Source Path                   /usr/bin/boinc_client
Port                          <Unknown>
Source RPM Packages           boinc-client-7.0.65-1.git79b00ef.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-92.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing

Platform                      Linux Magic-4 3.8.11-200.fc18.x86_64 #1 SMP Wed
                              May 1 19:44:27 UTC 2013 x86_64 x86_64
Alert Count                   521479
First Seen                    2013-05-07 09:37:29 CEST
Last Seen                     2013-05-17 11:04:45 CEST


Raw Audit Messages
type=AVC msg=audit(1368781485.746:2557): avc:  denied  { getattr } for  pid=1083 comm="boinc_client" path="/dev/input/mice" dev="devtmpfs" ino=8008 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:mouse_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1368781485.746:2557): arch=x86_64 syscall=stat success=no exit=EACCES a0=4c5f4d a1=7fffcf065d00 a2=7fffcf065d00 a3=0 items=0 ppid=1079 pid=1083 auid=4294967295 uid=991 gid=988 euid=991 suid=991 fsuid=991 egid=988 sgid=988 fsgid=988 ses=4294967295 tty=(none) comm=boinc_client exe=/usr/bin/boinc_client subj=system_u:system_r:boinc_t:s0 key=(null)

Hash: boinc_client,boinc_t,mouse_device_t,chr_file,getattr

audit2allow

#============= boinc_t ==============
allow boinc_t mouse_device_t:chr_file getattr;

audit2allow -R
require {
	type boinc_t;
}

#============= boinc_t ==============
dev_getattr_mouse_dev(boinc_t)



Version-Release number of selected component (if applicable):
selinux-policy-3.11.1-92.fc18.noarch
Comment 1 Lukas Vrabec 2013-10-25 09:09:28 EDT
#============= boinc_t ==============
#!!!! This avc is allowed in the current policy

allow boinc_t mouse_device_t:chr_file getattr;

Note You need to log in before you can comment on or make changes to this bug.